ComponentSpec (Gradle API 2.9)
Date: 2015-11-17

org.gradle.platform.base

## Interface ComponentSpec

- All Superinterfaces:
    Named
  All Known Subinterfaces:
    ApplicationSpec, CUnitTestSuiteSpec, GoogleTestTestSuiteSpec, JvmComponentSpec, JvmLibrarySpec, LibrarySpec, NativeComponentSpec, NativeExecutableSpec, NativeLibrarySpec, NativeTestSuiteSpec, PlatformAwareComponentSpec, PlayApplicationSpec, TargetedNativeComponent, TestSuiteSpec
  All Known Implementing Classes:
    BaseComponentSpec

      @Incubating
      public interface ComponentSpec
      extends Named

  A software component that is built by a Gradle project.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `binaries(Action<? super ModelMap<BinarySpec>> action)` Configures the binaries that are produced for this component.
    `ModelMap<BinarySpec>` | `getBinaries()` The binaries that are built for this component.
    `String` | `getDisplayName()` Returns a human-consumable display name for this component.
    `String` | `getProjectPath()` The path the the project containing this component.
    `ModelMap<LanguageSourceSet>` | `getSource()` Deprecated. This method is replaced with `getSources()`.
    `ModelMap<LanguageSourceSet>` | `getSources()` The source sets that are used to build this component.
    `void` | `sources(Action<? super ModelMap<LanguageSourceSet>> action)` Configures the source sets used to build this component.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getProjectPath

          String getProjectPath()

      The path the the project containing this component.

    - #### getDisplayName

          String getDisplayName()

      Returns a human-consumable display name for this component.

    - #### getSource

          @Deprecated
          ModelMap<LanguageSourceSet> getSource()

      Deprecated. This method is replaced with `getSources()`.
      The source sets that are used to build this component.

    - #### getSources

          ModelMap<LanguageSourceSet> getSources()

      The source sets that are used to build this component.

    - #### sources

          void sources(Action<? super ModelMap<LanguageSourceSet>> action)

      Configures the source sets used to build this component.

    - #### getBinaries

          ModelMap<BinarySpec> getBinaries()

      The binaries that are built for this component. You can use this to configure the binaries for this component.

    - #### binaries

          void binaries(Action<? super ModelMap<BinarySpec>> action)

      Configures the binaries that are produced for this component.